/****************************************************************************/
/* Copyright 2004 MBARI														*/
/****************************************************************************/
/* Summary	: Definitions for diagnostic routines to debug OASIS3 software	*/
/* Filename : swdiag.h														*/
/* Author	: Robert Herlien (rah)											*/
/* Project	: OASIS3 Mooring												*/
/* $Revision: 1.1 $															*/
/* Created	: 08/11/2004 rah												*/
/*																			*/
/* MBARI provides this documentation and code "as is", with no warranty,	*/
/* express or implied, of its quality or consistency. It is provided without*/
/* support and without obligation on the part of the Monterey Bay Aquarium	*/
/* Research Institute to assist in its use, correction, modification, or	*/
/* enhancement. This information should not be published or distributed to	*/
/* third parties without specific written permission from MBARI.			*/
/*																			*/
/****************************************************************************/
/* Modification History:													*/
/* 11aug2004 rah - created from OASIS usrcmds.h								*/
/****************************************************************************/

#ifndef INCswdiagh
#define INCswdiagh		1

#include <remote.h>						/* Remote I/O library			*/


/****************************************/
/* Function Declarations				*/
/****************************************/

#ifdef DEBUG_FREEZE_CMD
Int16	usr_freeze(Nat16 pmask, Parm_t newState);
#endif
#ifdef DEBUG_SYSTEM_CMD
Int16	showSystem(Nat16 pmask, Parm_t skipSem);
#endif

Int16	testDelay(Nat16 pmask, Parm_t ticks);
Int16	testDelay1(Nat16 pmask, Parm_t seconds, Parm_t rtcTicks);
Int16	startTestThread(Nat16 pmask, Parm_t serPort, Parm_t delay, Parm_t loops);
Int16	modbusTest(Nat16 pmask, Parm_t testPort, Parm_t testSlave, Parm_t numSlaves);
Int16	remSerConnect(RemSerHandle rsh);
Int16	remConnect(Nat16 pmask, Parm_t bus, Parm_t slave, Parm_t port);
#ifdef DEBUG_KILL
Int16	taskKillTest(Void);
#endif
Int16	testNum(Nat16 pmask, char *str);
Int16	usrEcho(Nat16 pmask, char *s1, char*s2, char *s3, char *s4);
Int16	echoAll(Nat16 pmask, char *s1, char *s2, char *s3, char *s4);

#endif /* INCswdiagh */
